# Couenne::CouenneFPsolution Class Reference

Class containing a solution with infeasibility evaluation. More...

`#include <CouenneFPpool.hpp>`

List of all members.

## Public Member Functions
| CouenneFPsolution (CouenneProblem *p, CouNumber *x, bool copied=false)
| CouenneProblem-aware constructor.
| CouenneFPsolution (const CouenneFPsolution &src)
| copy constructor
CouenneFPsolution & | operator= (const CouenneFPsolution &src)
| assignment
| ~CouenneFPsolution ()
| destructor
const int | n () const
| returns size
const double * | x () const
| returns vector
bool | compare (const CouenneFPsolution &other, enum what_to_compare comparedTerm) const
| basic comparison procedure -- what to compare depends on user's choice
## Protected Attributes
CouNumber * | x_
| solution
int | n_
| number of variables (for independence from CouenneProblem)
int | nNLinf_
| number of NL infeasibilities
int | nIinf_
| number of integer infeasibilities
CouNumber | objVal_
| objective function value
CouNumber | maxNLinf_
| maximum NL infeasibility
CouNumber | maxIinf_
| maximum integer infeasibility
bool | copied_
| This is a temporary copy, not really a solution holder.
CouenneProblem * | problem_
| holds pointer to problem to check integrality in comparison of integer variables

## Detailed Description

Class containing a solution with infeasibility evaluation.

Definition at line 32 of file CouenneFPpool.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneFPsolution::CouenneFPsolution | ( | CouenneProblem * | p,
|  | CouNumber * | x,
|  | bool | copied = `false` |
| ) |  |  |

CouenneProblem-aware constructor.

Couenne::CouenneFPsolution::CouenneFPsolution | ( | const CouenneFPsolution & | src | ) |

copy constructor

Couenne::CouenneFPsolution::~CouenneFPsolution | ( |  | ) |

destructor

## Member Function Documentation

CouenneFPsolution& Couenne::CouenneFPsolution::operator= | ( | const CouenneFPsolution & | src | ) |

assignment

const int Couenne::CouenneFPsolution::n | ( |  | ) | const`[inline]`

returns size

Definition at line 65 of file CouenneFPpool.hpp.

References n_.

const double* Couenne::CouenneFPsolution::x | ( |  | ) | const`[inline]`

returns vector

Definition at line 68 of file CouenneFPpool.hpp.

References x_.

bool Couenne::CouenneFPsolution::compare | ( | const CouenneFPsolution & | other,
|  | enum what_to_compare | comparedTerm |
| ) |  |  | const

basic comparison procedure -- what to compare depends on user's choice

Referenced by Couenne::operator<().

## Member Data Documentation

CouNumber* Couenne::CouenneFPsolution::x_`[protected]`

solution

Definition at line 36 of file CouenneFPpool.hpp.

Referenced by x().

int Couenne::CouenneFPsolution::n_`[protected]`

number of variables (for independence from CouenneProblem)

Definition at line 37 of file CouenneFPpool.hpp.

Referenced by n().

int Couenne::CouenneFPsolution::nNLinf_`[protected]`

number of NL infeasibilities

Definition at line 38 of file CouenneFPpool.hpp.

int Couenne::CouenneFPsolution::nIinf_`[protected]`

number of integer infeasibilities

Definition at line 39 of file CouenneFPpool.hpp.

CouNumber Couenne::CouenneFPsolution::objVal_`[protected]`

objective function value

Definition at line 40 of file CouenneFPpool.hpp.

CouNumber Couenne::CouenneFPsolution::maxNLinf_`[protected]`

maximum NL infeasibility

Definition at line 41 of file CouenneFPpool.hpp.

CouNumber Couenne::CouenneFPsolution::maxIinf_`[protected]`

maximum integer infeasibility

Definition at line 42 of file CouenneFPpool.hpp.

bool Couenne::CouenneFPsolution::copied_`[protected]`

This is a temporary copy, not really a solution holder.

As a result, all the above members are meaningless for copied solutions

Definition at line 48 of file CouenneFPpool.hpp.

CouenneProblem* Couenne::CouenneFPsolution::problem_`[protected]`

holds pointer to problem to check integrality in comparison of integer variables

Definition at line 50 of file CouenneFPpool.hpp.

The documentation for this class was generated from the following file:

- CouenneFPpool.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines